#!/usr/bin/sh

cd /opt/ || exit

hc_url="https://hc-ping.com/$MAIL_HC_UID"

alias curl_hc='curl -LA "$USER_AGENT" --retry 3'

envsubst < template.msmtprc > /tmp/msmtprc
envsubst < mailcheck.template.mail > /tmp/mailcheck.mail

# Retry 3 times
for i in 1 2 3
do
	result=$(msmtp -C /tmp/msmtprc -a default "$MAIL_HC_UID@hc-ping.com" < /tmp/mailcheck.mail 2>&1)
	if [ "$?" = "0" ]
	then
		exit 0
	fi

	if [ $i -eq 3 ]
	then
		echo "$result"
		curl_hc --data-raw "$result" "$hc_url/fail" >/dev/null
		exit 1
	fi

	sleep 3
done